
Gisaf - Feature #3319

Export shapefiles from the DB

15/12/2016 11:27 - Philippe May

Status: Closed Start date: 15/12/2016

Priority: High Due date:  

Assignee: Philippe May % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: demo Spent time: 0.00 hour

Description

Users should be able to download shapefiles extracted from the GIS DB

Associated revisions

Revision 6442630b - 17/12/2016 00:15 - Philippe May 

Refs #3319: export shapefile from a layer using pyshp library

Revision e240aae6 - 19/12/2016 01:16 - Philippe May 

Refs #3319: fix server side of downloading shapefiles (zip); remains issues in browser (Chrome buggy, Safari buggy othterwise: html5 Blob is a pain)

Revision f7be7947 - 20/12/2016 01:45 - Philippe May 

Refs #3319: fix browser side saving of zipped shapefile

Revision 01c12a11 - 20/12/2016 13:15 - Philippe May 

Refs #3319: fix issue with projection (keep native), add altitude

History

#1 - 15/12/2016 11:30 - Philippe May

- Priority changed from Normal to High

#2 - 18/12/2016 16:46 - Philippe May

- Status changed from New to In Progress

#3 - 18/12/2016 16:47 - Philippe May

Basic code done. Waiting for updated shapefiles from Giulio to test.

#4 - 20/12/2016 13:15 - Philippe May

- Status changed from In Progress to Resolved

#5 - 26/12/2016 12:20 - Philippe May

- Target version set to demo

#6 - 26/12/2016 12:23 - Philippe May

- % Done changed from 0 to 100

#7 - 17/11/2017 12:33 - Philippe May

- Status changed from Resolved to Closed
